> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# project_new

> Provider for selecting a project. Returns search results in rank order Supports searching across project text fields. Respects the Project.SkipCompletedProjects user preference.

## "project\_new" MDO List

Provider for selecting a project. Returns search results in rank order
Supports searching across project text fields.
Respects the Project.SkipCompletedProjects user preference.

Returns project items only: Id = project-id, Name = Project name, Type = "Project", IconHint="deleted\_item", ExtraInfo= project-id

Completed/Done projects are marked with stylehint = "deleted\_item" (but item.deleted = false)

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ProjectListProvider">ProjectListProvider</see> class.
The name of the MDO list is 'project\_new'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/project_new
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("project_new", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name      | StyleHint | ExtraInfo |
| -- | --------- | --------- | --------- |
| 15 | Prasjaakt |           | 15        |
| 16 | BBoBBeeBB |           | 16        |
| 17 | Ccocceecc |           | 17        |
| 18 | ddoddeedd |           | 18        |
| 19 | presjeekt |           | 19        |
| 20 | ffoffeeff |           | 20        |
| 21 | ggoggeegg |           | 21        |
| 22 | hhohheehh |           | 22        |
| 23 | prisjiikt |           | 23        |
| 24 | Jjojjeejj |           | 24        |
| 25 | Kkokkeekk |           | 25        |
| 26 | Llolleell |           | 26        |
| 27 | Mmommeemm |           | 27        |
| 28 | Nnonneenn |           | 28        |
| 29 | Prosjookt |           | 29        |
| 30 | Ppoppeepp |           | 30        |
| 31 | Qqoqqeeqq |           | 31        |
| 32 | Rrorreerr |           | 32        |
| 33 | Ssosseess |           | 33        |
| 34 | Ttotteett |           | 34        |
| 35 | Prusjuukt |           | 35        |

## Related MDO Lists

* "project\_newheadings"
* "project\_newheadingswithallitem"
* "project\_newheadingswithallitemwithnoselection"
* "project\_newheadingswithnoselection"
* "project\_newwithallitem"
* "project\_newwithallitemwithnoselection"
* "project\_newwithnoselection"


## Related topics

- [Create a SuperOffice CRM new trigger](/integrations/zapier/howto/triggers/new.md)
- [Create a new project](/en/project/learn/create.md)
- [Create a new project guide](/en/project/admin/create-project-guide.md)
- [Project guide tutorial](/en/project/learn/tutorial.md)
- [Project](/en/project/learn/index.md)
- [Create project](/en/mobile/project/create.md)
